<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow  xmlns:fx="http://ns.adobe.com/mxml/2009"
				xmlns:s="library://ns.adobe.com/flex/spark"
				xmlns:ui="library://ns.adobe.com/flex/ui"
				xmlns:mx="library://ns.adobe.com/flex/mx"
				xmlns:components="br.com.dclick.components.*"
				xmlns:componente="br.com.desenv.framework.componente.*"
				xmlns:autoComplete="br.com.desenv.framework.component.visual.autoComplete.*"
				close="titlewindowCloseHandler(event)"  creationComplete="creationCompleteHandler(event)" title="Cadastro de Saldo Estoque Produto" xmlns:visual="br.com.desenv.framework.component.visual.*">
	
	<fx:Style source="../../../framework/util/estilo.css"/>

	
	<fx:Metadata>
		[Event(name="SaldoEstoqueProdutoIncluidoEvent")]
		[Event(name="SaldoEstoqueProdutoAtualizadoEvent")]
		[Event(name="SaldoEstoqueProdutoExcluidoEvent")]
		[Event(name="SaldoEstoqueProdutoSelecionadoEvent")]
		
	</fx:Metadata>
	
	<fx:Script>
		<![CDATA[
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			import mx.collections.ArrayCollection;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			import mx.controls.Alert;
			
			import mx.controls.DateField;
			import mx.events.CloseEvent;
			import mx.events.FlexEvent;
			import mx.managers.PopUpManager;
			
			
			import mx.validators.Validator;
			
			import br.com.desenv.nepalign.vo.EmpresaFisica;
			import br.com.desenv.nepalign.vo.EstoqueProduto;
			import br.com.desenv.nepalign.vo.Produto;
			import br.com.desenv.nepalign.vo.SaldoEstoqueProduto;
			import br.com.desenv.nepalign.vo.SituacaoEnvioLV;

			public var saldoEstoqueProduto : SaldoEstoqueProduto = new SaldoEstoqueProduto();
			
			[Bindable]
			private var listaSituacaoEnvioLV: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaEstoqueProduto: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaEmpresaFisica: ArrayCollection = new ArrayCollection();
			[Bindable]
			public var produto:Produto = new Produto();
	
			[Bindable]
			private var listaValidadorForm: Array = new Array();
		
			private function validar(event: MouseEvent):Boolean 
			{
				var listaErroValidador:Array = Validator.validateAll(this.listaValidadorForm);
				var validado:Boolean = listaErroValidador.length == 0;
				return validado;
			}

			private function carregarListaValidacao(): void
			{

			}
			
			private function limparListaCampo(): void
			{
				ignComboBoxAutoCompleteEmpresaFisica.selectedIndex = -1;
				ignAutoCompleteEstoqueProduto.itemSelecionado = null;
				ignComboBoxAutoCompleteSituacaoEnvioLV.selectedIndex = -1;
				ignTextInputIntegerMes.text = "";
				ignTextInputIntegerAno.text = "";
				ignTextInputIntegerSaldo.text = "";
				ignTextInputVenda.text = "";
				ignTextInputCusto.text = "";
				ignTextInputDateDataUltimaAlteracao.text = "";
			}
			
			private function creationCompleteHandler( event: FlexEvent ): void 
			{
				carregarListaValidacao();
				
				var remoteObjectSituacaoEnvioLV: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("situacaoEnvioLVService", listarSituacaoEnvioLVResultHandler);	
				remoteObjectSituacaoEnvioLV.getOperation("listar").send("descricao","asc");
				var remoteObjectEmpresaFisica: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("empresaFisicaService", listarEmpresaFisicaResultHandler);	
				remoteObjectEmpresaFisica.getOperation("listar").send();
				var remoteObjectRecuperarMesAnoAberto:RemoteObject = AMFConnector.instance.prepararObjetoRemoto("empresaFisicaService", recuperarMesAnoAbertoResultHandler);
				remoteObjectRecuperarMesAnoAberto.getOperation("mesAnoAberto").send();
				var remoteObjectRecuperarDataAtual:RemoteObject = AMFConnector.instance.prepararObjetoRemoto("dsvParametrosSistemaService", recuperarDataAtualResultHandler);
				remoteObjectRecuperarDataAtual.getOperation("getParametro").send("DataAtual");
				
				if (isNaN(this.saldoEstoqueProduto.id))
				{
					limparListaCampo();
				}
				else
				{
					if (this.saldoEstoqueProduto.estoqueProduto != null)
						ignAutoCompleteEstoqueProduto.itemSelecionado = this.saldoEstoqueProduto.estoqueProduto;
					
					ignTextInputIntegerMes.text = this.saldoEstoqueProduto.mes.toString();
					ignTextInputIntegerAno.text = this.saldoEstoqueProduto.ano.toString();
					ignTextInputIntegerSaldo.text = this.saldoEstoqueProduto.saldo.toString();
					ignTextInputVenda.text = this.saldoEstoqueProduto.venda.toString();
					ignTextInputDateDataUltimaAlteracao.text = DateField.dateToString(this.saldoEstoqueProduto.dataUltimaAlteracao, "DD/MM/YYYY"); 	
				}
			}
			
			private function recuperarDataAtualResultHandler(event:ResultEvent):void
			{
				try
				{
					if(event.result as Date != null)
						this.ignTextInputDateDataUltimaAlteracao.text = DateField.dateToString(event.result as Date, "DD/MM/YYYY"); 
				}
				catch(e:Error)
				{
					this.ignTextInputDateDataUltimaAlteracao.text = DateField.dateToString(new Date(), "DD/MM/YYYY"); 
				}
			}
			
			private function recuperarMesAnoAbertoResultHandler(event:ResultEvent):void
			{
				try
				{
					if(event.result != null && (event.result as String).length == 7)
					{
						this.ignTextInputIntegerMes.text = (event.result as String).split("/")[0];
						this.ignTextInputIntegerAno.text = (event.result as String).split("/")[1];
					}
				}
				catch(e:Error)
				{
					Alert.show("Não foi possível recuperar no Mes/Ano aberto da empresa : " + e.message);
				}
			}
			
			private function listarSituacaoEnvioLVResultHandler( event: ResultEvent ): void 
			{
				listaSituacaoEnvioLV = event.result as ArrayCollection;
				listaSituacaoEnvioLV.addItemAt(null, 0);
				
				if (this.saldoEstoqueProduto != null && this.saldoEstoqueProduto.situacaoEnvioLV != null)
				{
					for(var i:int = 1; i <= this.listaSituacaoEnvioLV.length; i++)
					{
						var situacaoEnvioLVTemp: SituacaoEnvioLV = this.listaSituacaoEnvioLV.getItemAt(i) as SituacaoEnvioLV;
						
						if (situacaoEnvioLVTemp.id == this.saldoEstoqueProduto.situacaoEnvioLV.id)
						{
							ignComboBoxAutoCompleteSituacaoEnvioLV.selectedIndex = i;
							break;
						}
					}
				}	
			}
			
			private function listarEmpresaFisicaResultHandler( event: ResultEvent ): void 
			{
				listaEmpresaFisica = event.result as ArrayCollection;
				listaEmpresaFisica.addItemAt(null, 0);
				
				if (this.saldoEstoqueProduto != null && this.saldoEstoqueProduto.empresaFisica != null)
				{
					for(var i:int = 1; i <= this.listaEmpresaFisica.length; i++)
					{
						var empresaFisicaTemp: EmpresaFisica = this.listaEmpresaFisica.getItemAt(i) as EmpresaFisica;
						
						if (empresaFisicaTemp.id == this.saldoEstoqueProduto.empresaFisica.id)
						{
							ignComboBoxAutoCompleteEmpresaFisica.selectedIndex = i;
							break;
						}
					}
				}	
			}

			protected function titlewindowCloseHandler(event:CloseEvent):void
			{
				UPCPopUpManager.instance.removePopUp(this);
			}
						
			private function buttonSalvar_clickHandler(event:MouseEvent):void
			{
				try
				{
					if (validar(event))
					{
						if(ignAutoCompleteEstoqueProduto.itemSelecionado as EstoqueProduto == null)
							throw new Error("Selecione um Estoque Produto");

						if (!isNaN(this.saldoEstoqueProduto.id)) 
						{
							saldoEstoqueProduto.empresaFisica = ignComboBoxAutoCompleteEmpresaFisica.selectedItem; 
							saldoEstoqueProduto.estoqueProduto = ignAutoCompleteEstoqueProduto.itemSelecionado as EstoqueProduto;
							saldoEstoqueProduto.situacaoEnvioLV = ignComboBoxAutoCompleteSituacaoEnvioLV.selectedItem; 
							saldoEstoqueProduto.mes =  ignTextInputIntegerMes.text == ""?null:parseInt(ignTextInputIntegerMes.text);
							saldoEstoqueProduto.ano =  ignTextInputIntegerAno.text == ""?null:parseInt(ignTextInputIntegerAno.text);
							saldoEstoqueProduto.saldo =  ignTextInputIntegerSaldo.text == ""?null:parseInt(ignTextInputIntegerSaldo.text);
							saldoEstoqueProduto.venda =  ignTextInputVenda.text == ""?null:Number(ignTextInputVenda.text);
							saldoEstoqueProduto.custo = ignTextInputCusto.text==""?null:Number(ignTextInputCusto.text);
							saldoEstoqueProduto.dataUltimaAlteracao = ignTextInputDateDataUltimaAlteracao.text == ""?null:DateField.stringToDate(ignTextInputDateDataUltimaAlteracao.text, "DD/MM/YYYY");
							var remoteObjectAtualizar: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("saldoEstoqueProdutoService", atualizarResultHandler);	
							remoteObjectAtualizar.getOperation("atualizar").send(saldoEstoqueProduto); 
						} 
						else 
						{
							saldoEstoqueProduto.empresaFisica = ignComboBoxAutoCompleteEmpresaFisica.selectedItem; 
							saldoEstoqueProduto.situacaoEnvioLV = ignComboBoxAutoCompleteSituacaoEnvioLV.selectedItem; 
							saldoEstoqueProduto.estoqueProduto = ignAutoCompleteEstoqueProduto.itemSelecionado as EstoqueProduto;
							saldoEstoqueProduto.mes =  ignTextInputIntegerMes.text == ""?null:parseInt(ignTextInputIntegerMes.text);
							saldoEstoqueProduto.ano =  ignTextInputIntegerAno.text == ""?null:parseInt(ignTextInputIntegerAno.text);
							saldoEstoqueProduto.saldo =  ignTextInputIntegerSaldo.text == ""?null:parseInt(ignTextInputIntegerSaldo.text);
							saldoEstoqueProduto.venda =  ignTextInputVenda.text == ""?null:Number(ignTextInputVenda.text);
							saldoEstoqueProduto.custo = ignTextInputCusto.text==""?null:Number(ignTextInputCusto.text);
							saldoEstoqueProduto.dataUltimaAlteracao = ignTextInputDateDataUltimaAlteracao.text == ""?null:DateField.stringToDate(ignTextInputDateDataUltimaAlteracao.text, "DD/MM/YYYY");
							var remoteObjectSalvar: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("saldoEstoqueProdutoService", salvarResultHandler);	
							remoteObjectSalvar.getOperation("salvar").send(saldoEstoqueProduto); 
						}
					}
				}
				catch(e:Error)
				{
					Alert.show("Erro ao cadastrar Saldo Estoque Produto : " + e.message, "AVISO");
				}
			}

			private function salvarResultHandler( event: ResultEvent ): void 
			{
				this.saldoEstoqueProduto = event.result as SaldoEstoqueProduto;
				this.dispatchEvent(new ResultEvent("SaldoEstoqueProdutoIncluidoEvent",false, true, this.saldoEstoqueProduto, null, null));
				Alert.show("Saldo Estoque Produto Cadastrado com Sucesso","Resultado");
				UPCPopUpManager.instance.removePopUp(this);
			}

			private function atualizarResultHandler( event: ResultEvent ): void 
			{
				this.saldoEstoqueProduto = event.result as SaldoEstoqueProduto;
				this.dispatchEvent(new Event("SaldoEstoqueProdutoAtualizadoEvent"));
				UPCPopUpManager.instance.removePopUp(this);
			}

			protected function buttonLimpar_clickHandler(event:MouseEvent):void
			{
				limparListaCampo();
			}
			
			protected function buttonAdicionarSituacaoEnvioLV_clickHandler(event:MouseEvent):void
			{
				var situacaoEnvioLVComponenteCadastro: SituacaoEnvioLVComponenteCadastro = new SituacaoEnvioLVComponenteCadastro();
				situacaoEnvioLVComponenteCadastro.addEventListener("SituacaoEnvioLVIncluidoEvent", atualizarListaSituacaoEnvioLVPorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(situacaoEnvioLVComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(situacaoEnvioLVComponenteCadastro);
			}
			
			private function atualizarListaSituacaoEnvioLVPorInclusaoResultHandler(e:ResultEvent):void
			{
				var novoSituacaoEnvioLV: SituacaoEnvioLV = e.result as SituacaoEnvioLV;
				listaSituacaoEnvioLV.addItem(novoSituacaoEnvioLV);
				ignComboBoxAutoCompleteSituacaoEnvioLV.selectedItem = novoSituacaoEnvioLV;
			}

			protected function buttonAdicionarEstoqueProduto_clickHandler(event:MouseEvent):void
			{
				var estoqueProdutoComponenteCadastro: EstoqueProdutoComponenteCadastro = new EstoqueProdutoComponenteCadastro();
				estoqueProdutoComponenteCadastro.produto = this.produto;
				estoqueProdutoComponenteCadastro.addEventListener("EstoqueProdutoIncluidoEvent", atualizarEstoqueProdutoPorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(estoqueProdutoComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(estoqueProdutoComponenteCadastro);
			}
			
			private function atualizarEstoqueProdutoPorInclusaoResultHandler(e:ResultEvent):void
			{
				this.ignAutoCompleteEstoqueProduto.itemSelecionado = e.result as EstoqueProduto
			}
			
			protected function buttonAdicionarEmpresaFisica_clickHandler(event:MouseEvent):void
			{
				var empresaFisicaComponenteCadastro: EmpresaFisicaComponenteCadastro = new EmpresaFisicaComponenteCadastro();
				empresaFisicaComponenteCadastro.addEventListener("EmpresaFisicaIncluidoEvent", atualizarListaEmpresaFisicaPorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(empresaFisicaComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(empresaFisicaComponenteCadastro);
			}
			
			private function atualizarListaEmpresaFisicaPorInclusaoResultHandler(e:ResultEvent):void
			{
				var novoEmpresaFisica: EmpresaFisica = e.result as EmpresaFisica;
				listaEmpresaFisica.addItem(novoEmpresaFisica);
				ignComboBoxAutoCompleteEmpresaFisica.selectedItem = novoEmpresaFisica;
			}

			protected function buttonPesquisarEstoqueProduto_clickHandler(event:MouseEvent):void
			{
				var estoqueProdutoComponentePesquisa:EstoqueProdutoComponentePesquisa = new EstoqueProdutoComponentePesquisa();
				estoqueProdutoComponentePesquisa.produto = this.produto;
				estoqueProdutoComponentePesquisa.addEventListener("EstoqueProdutoSelecionadoEvent", this.atualizarEstoqueProdutoPorSelecaoHandler);
				UPCPopUpManager.instance.addPopUp(estoqueProdutoComponentePesquisa, this ,true);
				UPCPopUpManager.instance.centerWindow(estoqueProdutoComponentePesquisa);
			}
			
			private function atualizarEstoqueProdutoPorSelecaoHandler(event:ResultEvent):void
			{
				this.ignAutoCompleteEstoqueProduto.itemSelecionado = event.result;	
			}
		]]>
	</fx:Script>
	
	<fx:Declarations>
		<!-- Place non-visual elements (e.g., services, value objects) here -->
		<!-- <mx:Validator id="validatorObrigatorioSituacaoSaldoEstoqueProduto" property="selectedItem" required="true" source="{comboBoxSituacaoSaldoEstoqueProduto}" trigger="{comboBoxSituacaoSaldoEstoqueProduto}" triggerEvent="valueCommit"/> -->
	</fx:Declarations>
	
	
	<mx:Grid styleName="grid" verticalScrollPolicy="auto" horizontalScrollPolicy="auto" maxHeight="600" maxWidth="1024">
		<mx:GridRow>
			<mx:GridItem colSpan="4" horizontalAlign="center">
				<s:Spacer/>
			</mx:GridItem>
		</mx:GridRow>	
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Empresa Física:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoEmpresaFisica" styleName="labelValidacao" text="{ignComboBoxAutoCompleteEmpresaFisica.errorString}"/>
					<s:HGroup>
						<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteEmpresaFisica" dataProvider="{listaEmpresaFisica}" labelField="nomeConcatenado" obrigatorio="true" listaValidadorForm="{this.listaValidadorForm}"/>
						<s:Button id="buttonAdicionarEmpresaFisica" width="30" label="+" click="buttonAdicionarEmpresaFisica_clickHandler(event)"/>
					</s:HGroup>
				</s:VGroup>
			</mx:GridItem>		
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Estoque Produto:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor" colSpan="6">
				<s:VGroup>
					<s:Label id="labelValidacaoEstoqueProduto" styleName="labelValidacao" text="{ignAutoCompleteEstoqueProduto.errorString}"/>
					<s:HGroup>
						<autoComplete:IgnAutoComplete width="300" idKeyName="id" palavraChave="codigoBarras" obrigatorio="true" id="ignAutoCompleteEstoqueProduto" enviarArgumentos="true" destino="estoqueProdutoService" funcaoChamada="listarPorObjetoFiltro" lenStartConsulta="3"  nomeClasseObjetoFiltro="br.com.desenv.nepalign.vo.EstoqueProduto" tabEnabled="true" mostrarCodigoConcatenado="false" buscarTambemPorChave="false"/>
						<s:Button id="buttonPesquisarEstoqueProduto" width="30" label="..." click="buttonPesquisarEstoqueProduto_clickHandler(event)"/>
						<s:Button id="buttonAdicionarEstoqueProduto" width="30" label="+" click="buttonAdicionarEstoqueProduto_clickHandler(event)"/>
					</s:HGroup>
				</s:VGroup>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Situação Envio:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoSituacaoEnvioLV" styleName="labelValidacao" text="{ignComboBoxAutoCompleteSituacaoEnvioLV.errorString}"/>
					<s:HGroup>
						<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteSituacaoEnvioLV" dataProvider="{listaSituacaoEnvioLV}" labelField="descricao" obrigatorio="true" listaValidadorForm="{this.listaValidadorForm}"/>
						<s:Button id="buttonAdicionarSituacaoEnvioLV" width="30" label="+" click="buttonAdicionarSituacaoEnvioLV_clickHandler(event)"/>
					</s:HGroup>
				</s:VGroup>
			</mx:GridItem>	
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Saldo:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoSaldo" styleName="labelValidacao" text="{ignTextInputIntegerSaldo.errorString}"/>
					<visual:IgnTextInputInteger id="ignTextInputIntegerSaldo" obrigatorio="true" listaValidadorForm="{this.listaValidadorForm}" width="30"/>
				</s:VGroup>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Mês:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoMes" styleName="labelValidacao"  text="{ignTextInputIntegerMes.errorString}"/>
					<visual:IgnTextInputInteger id="ignTextInputIntegerMes" obrigatorio="true" listaValidadorForm="{this.listaValidadorForm}" width="30"/>
				</s:VGroup>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Ano:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoAno" styleName="labelValidacao"  text="{ignTextInputIntegerAno.errorString}"/>
					<visual:IgnTextInputInteger id="ignTextInputIntegerAno" obrigatorio="true" listaValidadorForm="{this.listaValidadorForm}" width="60"/>
				</s:VGroup>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Ultima Alteração:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor" width="50%">
				<s:VGroup>
					<s:Label id="labelValidacaoDataUltimaAlteracao" styleName="labelValidacao" text="{ignTextInputDateDataUltimaAlteracao.errorString}"/>
					<visual:IgnTextInputDate id="ignTextInputDateDataUltimaAlteracao" obrigatorio="true" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Venda:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoVenda" styleName="labelValidacao" text="{ignTextInputVenda.errorString}"/>
					<visual:IgnTextInput id="ignTextInputVenda" obrigatorio="true" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Custo:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoCusto" styleName="labelValidacao" text="{ignTextInputCusto.errorString}"/>
					<visual:IgnTextInput id="ignTextInputCusto" obrigatorio="true" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
		</mx:GridRow>		
		<mx:GridRow>
			<mx:GridItem colSpan="4" horizontalAlign="center">
				<s:Spacer/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem colSpan="4" horizontalAlign="center">
				<s:Spacer/>
			</mx:GridItem>
		</mx:GridRow>		
		<mx:GridRow>
			<mx:GridItem colSpan="4" horizontalAlign="center">
				<s:Button id="buttonSalvar" label="Salvar" click="buttonSalvar_clickHandler(event)"/>
				<s:Button id="buttonLimpar" label="Limpar" click="buttonLimpar_clickHandler(event)"/>
			</mx:GridItem>
		</mx:GridRow>
	</mx:Grid>
</s:TitleWindow>